<Type Name="UriPartial" FullName="System.UriPartial" FullNameSP="System_UriPartial" Maintainer="ecma">
  <TypeSignature Language="ILASM" Value=".class public sealed serializable UriPartial extends System.Enum" />
  <TypeSignature Language="C#" Value="public enum UriPartial" />
  <MemberOfLibrary>Networking</MemberOfLibrary>
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ]</AssemblyPublicKey>
    <AssemblyVersion>1.0.x.x</AssemblyVersion>
    <AssemblyCulture>none</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>CLSCompliantAttribute(true)</AttributeName>
        <Excluded>0</Excluded>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <Docs>
    <summary>
 Specifies URI components.
</summary>
    <remarks>
      <para>
        <block subset="none" type="note">The <see cref="T:System.UriPartial" /> enumeration defines the values that are passed to the
<see cref="M:System.Uri.GetLeftPart(System.UriPartial)" qualify="true" /> method.</block>
      </para>
    </remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Enum</BaseTypeName>
  </Base>
  <Interfaces />
  <Members>
    <Member MemberName="value__">
      <MemberSignature Language="ILASM" Value=".field public rtspecialname specialname int32 value__" />
      <MemberSignature Language="C#" Value="value__;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs />
      <Excluded>0</Excluded>
    </Member>
    <Member MemberName="Scheme">
      <MemberSignature Language="ILASM" Value=".field public static literal valuetype System.UriPartial Scheme = 0" />
      <MemberSignature Language="C#" Value="Scheme = 0;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.UriPartial</ReturnType>
      </ReturnValue>
      <Parameters />
      <MemberValue>Scheme</MemberValue>
      <Docs>
        <summary>
          <para> Specifies the scheme component of a URI.</para>
        </summary>
      </Docs>
      <Excluded>0</Excluded>
    </Member>
    <Member MemberName="Authority">
      <MemberSignature Language="ILASM" Value=".field public static literal valuetype System.UriPartial Authority = 1" />
      <MemberSignature Language="C#" Value="Authority = 1;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.UriPartial</ReturnType>
      </ReturnValue>
      <Parameters />
      <MemberValue>Authority</MemberValue>
      <Docs>
        <summary>
 Specifies the authority component of a URI.
</summary>
      </Docs>
      <Excluded>0</Excluded>
    </Member>
    <Member MemberName="Path">
      <MemberSignature Language="ILASM" Value=".field public static literal valuetype System.UriPartial Path = 2" />
      <MemberSignature Language="C#" Value="Path = 2;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.UriPartial</ReturnType>
      </ReturnValue>
      <Parameters />
      <MemberValue>Path</MemberValue>
      <Docs>
        <summary>
 Specifies the path component of a URI.
</summary>
      </Docs>
      <Excluded>0</Excluded>
    </Member>
  </Members>
  <TypeExcluded>0</TypeExcluded>
</Type>
